/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for CardiovascularAnatomicLocationModifiers
 */
public enum EnumCV_CardiovascularAnatomicLocationModifiers 
{
		//Cardiovascular Anatomic Location Modifiers - CID 3019
		ANTERIOR_G_A105("G-A105"),
		ARTERIAL_GRAFT_TO_CITED_SEGMENT_G_D873("G-D873"),
		CENTRAL_G_A110("G-A110"),
		DISTAL_G_A119("G-A119"),
		GRAFT_TO_CITED_SEGMENT_BODY_G_D870("G-D870"),
		GRAFT_TO_CITED_SEGMENT_DISTAL_ANASTOMOSIS_G_D872("G-D872"),
		GRAFT_TO_CITED_SEGMENT_PROXIMAL_ANASTOMOSIS_G_D871("G-D871"),
		INFERIOR_G_A115("G-A115"),
		LATERAL_G_A104("G-A104"),
		LEFT_G_A101("G-A101"),
		OSTIUM_T_3215A("T-3215A"),
		POSTERIOR_G_A106("G-A106"),
		PROXIMAL_G_A118("G-A118"),
		RIGHT_G_A100("G-A100"),
		SUPERIOR_G_A116("G-A116"),
		VENOUS_GRAFT_TO_CITED_SEGMENT_G_D874("G-D874"),
		ENTIRE_VESSEL_T_40003("T-40003"),
		ANEURYSM_ON_CITED_VESSEL_122101("122101"),
		GRAFT_TO_CITED_SEGMENT_PROXIMAL_SECTION_122102("122102"),
		GRAFTTOCITEDSEGMENT_MIDSECTION_122103("122103"),
		GRAFT_TO_CITED_SEGMENT_DISTAL_SECTION_122104("122104");

	private String value;
	
	EnumCV_CardiovascularAnatomicLocationModifiers(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
